# DataExchange
TKSTEP
StepToGeom

# StepToGeom_MakeCartesianPoint Class Reference

This class implements the mapping between classes
CartesianPoint from StepGeom which describes a point from
Prostep and CartesianPoint from Geom.
.

`#include <StepToGeom_MakeCartesianPoint.hxx>`

Inheritance diagram for StepToGeom_MakeCartesianPoint:

[legend]

## Public Member Functions

void * | operator new (size_t, void *anAddress)
void * | operator new (size_t size)
void | operator delete (void *anAddress)
Standard_EXPORT | StepToGeom_MakeCartesianPoint (const Handle(StepGeom_CartesianPoint)&P)
Standard_EXPORT const Handle_Geom_CartesianPoint & | Value () const

## Private Attributes

Handle_Geom_CartesianPoint | theCartesianPoint

## Constructor & Destructor Documentation

Standard_EXPORT StepToGeom_MakeCartesianPoint::StepToGeom_MakeCartesianPoint | ( | const Handle(StepGeom_CartesianPoint)& | P | ) |

## Member Function Documentation

void StepToGeom_MakeCartesianPoint::operator delete | ( | void * | anAddress | ) | `[inline]`

| Reimplemented from StepToGeom_Root.

void* StepToGeom_MakeCartesianPoint::operator new | ( | size_t | size | ) | `[inline]`

| Reimplemented from StepToGeom_Root.

void* StepToGeom_MakeCartesianPoint::operator new | ( | size_t | ,
|  | void * | anAddress
| ) | `[inline]`

| Reimplemented from StepToGeom_Root.

Standard_EXPORT const Handle_Geom_CartesianPoint& StepToGeom_MakeCartesianPoint::Value | ( |  | ) | const

## Field Documentation

Handle_Geom_CartesianPoint StepToGeom_MakeCartesianPoint::theCartesianPoint `[private]`

The documentation for this class was generated from the following file:

- StepToGeom_MakeCartesianPoint.hxx